﻿<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Honor Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/libjpeg-turbo-2.0.2</a></li>
<li><a href="#id1">/libjpeg-9d</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/libjpeg-turbo-2.0.2 <br/>
</div><!-- file-list -->

<pre class="license-text">


Copyright (C)2011&ndash;2013, 2017&ndash;2018 D. R. Commander.  All Rights Reserved.
Copyright (C)2015 Viktor Szathmáry.  All Rights Reserved.
Copyright (C)2011&ndash;2015, 2018 D. R. Commander.  All Rights Reserved.
Copyright (C)2011, 2013 D. R. Commander.  All Rights Reserved.
Copyright (C)2017&ndash;2018 D. R. Commander.  All Rights Reserved.
Copyright (C)2011, 2018 D. R. Commander.  All Rights Reserved.
Copyright (C)2011, 2013, 2018 D. R. Commander.  All Rights Reserved.
Copyright (C)2011, 2013&ndash;2015 D. R. Commander.  All Rights Reserved.
Copyright (C)2014, 2017 D. R. Commander.  All Rights Reserved.
Copyright (C)2009&ndash;2014, 2016&ndash;2019 D. R. Commander.  All Rights Reserved.
Copyright (C)2011&ndash;2012, 2014&ndash;2015, 2017&ndash;2018 D. R. Commander.
Copyright (C)2011&ndash;2018 D. R. Commander.  All Rights Reserved.
Copyright 2009 Pierre Ossman &lt;ossman@cendio.se&gt; for Cendio AB
Copyright (C) 2009&ndash;2011, 2013&ndash;2014, 2016, 2018, D. R. Commander.
Copyright (C) 2015&ndash;2016, 2018, Matthieu Darbois.
Copyright (C) 1999&ndash;2006, MIYASAKA Masaru.
Copyright (C)2018, D. R. Commander.  All Rights Reserved.
Copyright (C)2018 D. R. Commander.  All Rights Reserved.
Copyright (C)2013, 2016 D. R. Commander.  All Rights Reserved.
Copyright (C)2016, 2018 D. R. Commander.  All Rights Reserved.
Copyright 2016, 2019 D. R. Commander
Copyright 2016 Dmitry Marakasov
Copyright 2016 Roger Leigh
Copyright 2015 Alex Turbov
Copyright 2014 Rolf Eike Beer
Copyright 2014 Daniele E. Domenichelli
Copyright 2013 Dimitri John Ledkov
Copyright 2011 Alex Neundorf
Copyright 2011 Eric NOULARD
Copyright 2011, 2013&ndash;2015 Kitware, Inc.
Copyright 2011 Nikita Krupen&prime;ko
Copyright (C) 2014&ndash;2015, D. R. Commander.  All Rights Reserved.
Copyright (C) 2014, Jay Foad.  All Rights Reserved.
Copyright (C) 2014, D. R. Commander.  All Rights Reserved.
Copyright (C) 2015, D. R. Commander.  All Rights Reserved.
Copyright (C) 1991&ndash;1996, Thomas G. Lane.
Copyright (C) 2009&ndash;2011, 2014&ndash;2016, 2018, D. R. Commander.
Copyright (C) 2009&ndash;2011, 2014, 2016, 2018, D. R. Commander.
Copyright (C) 2013&ndash;2014, MIPS Technologies, Inc., California.
Copyright (C) 2013, MIPS Technologies, Inc., California.
Copyright (C) 2018, Matthieu Darbois.
Copyright (C) 1994&ndash;1997, Thomas G. Lane.
Copyright (C) 1991&ndash;1997, Thomas G. Lane.
Copyright (C) 2017, D. R. Commander.
Copyright (C) 1991&ndash;1998, Thomas G. Lane.
Copyright (C) 2010, 2013&ndash;2014, 2017, D. R. Commander.
Copyright (C) 2017&ndash;2018, D. R. Commander.
Copyright (C) 2010&ndash;2011, 2013&ndash;2017, D. R. Commander.
Copyright (C) 2015, Google, Inc.
Copyright (C) 2009 by Dimitri van Heesch.
Copyright (C) 2015, 2018, D. R. Commander.
Copyright (C) 1994&ndash;1998, Thomas G. Lane.
Copyright (C) 1994&ndash;1996, Thomas G. Lane.
Copyright (C) 2009&ndash;2012, 2015, D. R. Commander.
Copyright (C) 2014, MIPS Technologies, Inc., California.
Copyright (C) 2011, 2014&ndash;2015, D. R. Commander.
Copyright (C) 2015, Matthieu Darbois.
Copyright (C) 1997&ndash;1998, Thomas G. Lane, Todd Newman.
Copyright (C) 2010, D. R. Commander.
Copyright (C) 2010, 2016, 2018, D. R. Commander.
Copyright (C) 1991&ndash;1994, Thomas G. Lane.
Copyright (C) 2009&ndash;2011, 2018, D. R. Commander.
Copyright (C) 1995&ndash;1997, Thomas G. Lane.
Copyright (C) 2011, 2015, 2018, D. R. Commander.
Copyright (C) 2016, 2018, Matthieu Darbois.
Copyright (C) 2015, D. R. Commander.
Copyright (C)2011 D. R. Commander.  All Rights Reserved.
Copyright (C) 1995&ndash;1998, Thomas G. Lane.
Copyright (C) 2016, D. R. Commander.
Copyright (C) 2010, 2015&ndash;2018, D. R. Commander.
Copyright (C) 2015&ndash;2018, D. R. Commander.
Copyright (C) 2011, 2014, 2016, D. R. Commander.
Copyright (C) 2013, 2016, D. R. Commander.
Copyright (C) 2011, 2016, D. R. Commander.
Copyright (C) 2010, 2015&ndash;2016, D. R. Commander.
Copyright (C) 2013, Linaro Limited.
Copyright (C) 2014&ndash;2015, D. R. Commander.
Copyright (C) 2009, 2011, 2015, D. R. Commander.
Copyright (C) 2009, 2011&ndash;2012, 2014&ndash;2015, D. R. Commander.
Copyright (C) 2010, 2015, D. R. Commander.
Copyright (C) 2009&ndash;2011, 2016, 2018, D. R. Commander.
Copyright (C) 2010&ndash;2011, 2015&ndash;2016, D. R. Commander.
Copyright (C) 2010, 2016, D. R. Commander.
Copyright (C) 2012, 2015, D. R. Commander.
Copyright (C) 2009&ndash;2011, 2016, D. R. Commander.
Copyright (C) 1991&ndash;1995, Thomas G. Lane.
Copyright (C) 2009, 2011, 2014&ndash;2015, D. R. Commander.
Copyright (C) 2014&ndash;2015, 2018, D. R. Commander.
Copyright (C) 2011, 2015, D. R. Commander.
Copyright (C) 2015&ndash;2016, 2018, D. R. Commander.
Copyright (C) 2014, 2017, D. R. Commander.
Copyright (C) 2014, D. R. Commander.
Copyright (C) 1992&ndash;1996, Thomas G. Lane.
Copyright (C) 1992&ndash;1997, Thomas G. Lane.
Copyright (C) 2009, 2011, 2014&ndash;2015, 2018, D. R. Commander.
Copyright (C) 2015&ndash;2016, D. R. Commander.
Copyright (C) 2009&ndash;2011, 2013&ndash;2014, 2016&ndash;2017, D. R. Commander.
Copyright (C) 1995&ndash;2010, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 2010, 2014, 2017, D. R. Commander.
Copyright (C) 2009, 2015, D. R. Commander.
Copyright (C) 2009, 2014&ndash;2015, D. R. Commander.
Copyright (C) 2011, 2014, D. R. Commander.
Copyright (C) 2009&ndash;2011, 2014, D. R. Commander.
Copyright (C) 2013, D. R. Commander.
Copyright (C) 1991&ndash;2012, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 2010, 2012&ndash;2019, D. R. Commander.
Copyright (C)2009&ndash;2019 D. R. Commander.  All Rights Reserved.
Copyright (C) 2015, 2017&ndash;2018, D. R. Commander.
Copyright (C) 1988 by Jef Poskanzer.
Copyright (C) 2015&ndash;2017, D. R. Commander.
Copyright (C) 2010, 2018, D. R. Commander.
Copyright (C) 2018, D. R. Commander.
Copyright (C)2011&ndash;2012, 2014&ndash;2015, 2017 D. R. Commander.
Copyright (C)2009&ndash;2014, 2017&ndash;2018 D. R. Commander.  All Rights Reserved.
Copyright (C) 1997&ndash;2011, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 2010, 2017, D. R. Commander.
Copyright (C)2009&ndash;2015, 2017 D. R. Commander.  All Rights Reserved.
Copyright (C) 2014&ndash;2015, 2017, 2019, D. R. Commander.
Copyright (C) 2015, 2017, D. R. Commander.
Copyright (C) 1989 by Jef Poskanzer.
Copyright (C) 2017, 2019, D. R. Commander.
Copyright (C) 2011, 2014&ndash;2016, 2018, D. R. Commander.
Copyright (C) 2014, Linaro Limited.
Copyright (C) 2016&ndash;2017, Loongson Technology Corporation Limited, BeiJing.
Copyright (C) 2014&ndash;2015, 2019, D. R. Commander.  All Rights Reserved.
Copyright (C) 2016&ndash;2018, Loongson Technology Corporation Limited, BeiJing.
Copyright (C) 2011, 2014, D. R. Commander.  All Rights Reserved.
Copyright (C) 2015, 2018, D. R. Commander.  All Rights Reserved.
Copyright (C) 2011, 2015, D. R. Commander.  All Rights Reserved.
Copyright (C) 2014, 2018, D. R. Commander.  All Rights Reserved.
Copyright (C) 2014&ndash;2015, 2018, D. R. Commander.  All Rights Reserved.
Copyright (C) 2018, D. R. Commander.  All Rights Reserved.
Copyright (C) 2015, 2018, Matthieu Darbois.
Copyright (C) 2019, D. R. Commander.  All Rights Reserved.
Copyright (C) 2011, Nokia Corporation and/or its subsidiary(&ndash;ies).

Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/libjpeg-9d <br/>
</div><!-- file-list -->

<pre class="license-text">


Copyright (C) 1994&ndash;1997, Thomas G. Lane.
Copyright (C) 1991&ndash;1997, Thomas G. Lane.
Copyright (C) 1991&ndash;1998, Thomas G. Lane.
Copyright (C) 1991&ndash;1994, Thomas G. Lane.
Copyright (C) 1994&ndash;1998, Thomas G. Lane.
Copyright (C) 1994&ndash;1996, Thomas G. Lane.
Copyright (C) 1991&ndash;1996, Thomas G. Lane.
Copyright (C) 1995&ndash;1998, Thomas G. Lane.
Copyright (C) 1995&ndash;1997, Thomas G. Lane.
Copyright (C) 1992&ndash;1996, Thomas G. Lane.
Copyright (C) 1992&ndash;1997, Thomas G. Lane.
Copyright (C) 1995&ndash;2019, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1991&ndash;2020, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1996&ndash;2015 Free Software Foundation, Inc.
Copyright (C) 1988 by Jef Poskanzer.
Copyright 1990, David Koblas.                                     |
Copyright (C) 1997&ndash;2019, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1989 by Jef Poskanzer.
Copyright 1990, David Koblas.                                     |


Libjpeg License
The authors make NO WARRANTY or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided &quot;AS IS&quot;, and you, its user, assume the entire risk as to its quality and accuracy.

This software is copyright (C) 1991&ndash;1998, Thomas G. Lane. All Rights Reserved except as specified below.

Permission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions:

(1) If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no&ndash;warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation.

(2) If only executable code is distributed, then the accompanying documentation must state that &quot;this software is based in part on the work of the Independent JPEG Group&quot;.

(3) Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.

These conditions apply to any software derived from or based on the IJG code, not just to the unmodified library. If you use our work, you ought to acknowledge us.

Permission is NOT granted for the use of any IJG author&prime;s name or company name in advertising or publicity relating to this software or products derived from it. This software may be referred to only as &quot;the Independent JPEG Group&prime;s software&quot;.

We specifically permit and encourage the use of this software as the basis of commercial products, provided that all warranty or liability claims are assumed by the product vendor.

ansi2knr.c is included in this distribution by permission of L. Peter Deutsch, sole proprietor of its copyright holder, Aladdin Enterprises of Menlo Park, CA. ansi2knr.c is NOT covered by the above copyright and conditions, but instead by the usual distribution terms of the Free Software Foundation; principally, that you must include source code if you redistribute it. (See the file ansi2knr.c for full details.) However, since ansi2knr.c is not needed as part of any program generated from the IJG code, this does not limit you more than the foregoing paragraphs do.

The Unix configuration script &quot;configure&quot; was produced with GNU Autoconf. It is copyright by the Free Software Foundation but is freely distributable. The same holds for its supporting scripts (config.guess, config.sub, ltconfig, ltmain.sh). Another support script, install&ndash;sh, is copyright by M.I.T. but is also freely distributable.

It appears that the arithmetic coding option of the JPEG spec is covered by patents owned by IBM, AT&amp;T, and Mitsubishi. Hence arithmetic coding cannot legally be used without obtaining one or more licenses. For this reason, support for arithmetic coding has been removed from the free JPEG software. (Since arithmetic coding provides only a marginal gain over the unpatented Huffman mode, it is unlikely that very many implementations will support it.) So far as we are aware, there are no patent restrictions on the remaining code.

The IJG distribution formerly included code to read and write GIF files. To avoid entanglement with the Unisys LZW patent, GIF reading support has been removed altogether, and the GIF writer has been simplified to produce &quot;uncompressed GIFs&quot;. This technique does not use the LZW algorithm; the resulting GIF files are larger than usual, but are readable by all standard GIF decoders.

We are required to state that
&quot;The Graphics Interchange Format(c) is the Copyright property of CompuServe Incorporated. GIF(sm) is a Service Mark property of CompuServe Incorporated.&quot;

</pre><!-- license-text -->
</td></tr><!-- same-license -->



</table>
</body></html>
